require "test_helper"

class CoolifyTest < Test::Unit::TestCase
  def test_blank
    assert_equal "", Coolify_Gem.coolify("")
  end

  def test_hi 
    assert_equal "hi", Coolify_Gem.coolify("hi")
  end

  def test_switch_characters
    assert_equal "z", Coolify_Gem.coolify("s")
  end

  def test_coolify
    assert_equal "Thiz iz my firzt gem called Coolify!" , Coolify_Gem.coolify("This is my first gem called Coolify!")
  end

  def test_undo
    assert_equal "s", Coolify_Gem.undoCoolify("z")
  end
end